##
## This is file `plot2.R',
## generated with the docstrip utility.
##
## The original source files were:
##
## paper-2a.dtx  (with options: `intro,tikz,bplot,plot2')
## Documented solutions for OpenIntro labs
## Copyright © 2022, 2023, 2024 निरंजन
## 
## -------------------------------------------------------------
## Version:      v0.1 (30 January, 2024)
## Author:       निरंजन
## Description:  Documented solutions for OpenIntro labs.
## Repository:   puszcza.gnu.org.ua/projects/niranjan-rr
## License:      GPLv3+, GFDLv1.3+
## -------------------------------------------------------------
## 
## This program is free software: you can redistribute it
## and/or modify it under the terms of the GNU General Public
## License as published by the Free Software Foundation, either
## version 3 of the License, or (at your option) any later
## version.
## 
## This program is distributed in the hope that it will be
## useful, but WITHOUT ANY WARRANTY; without even the implied
## warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
## PURPOSE. See the GNU General Public License for more
## details.
## 
## You should have received a copy of the GNU General Public
## License along with this program. If not, see
## <https://www.gnu.org/licenses/>.
## ----------------------------------------------------------
library(tikzDevice)
arbut <- read.csv(
  "arbuthnot.csv", ## name of the csv file to be read.
  header=TRUE      ## if the first row is a header.
)
tikz('boysplot.tex')
plot(
  x=arbut$year,   ## the column to be plotted on the x-axis.
  y=arbut$boys,   ## the column to be plotted on the x-axis.
  type="l",       ## to get a line-plot instead of dots-plot
  xlab=("Years"), ## label to be given to the x-axis.
  ylab=("Girls")  ## label to be given to the y-axis.
)
dev.off()
## End of file `plot2.R'.
