##
## This is file `plot8.R',
## generated with the docstrip utility.
##
## The original source files were:
##
## paper-2a.dtx  (with options: `rdata,tikz,mlbdata,hist,plot8')
## Documented solutions for OpenIntro labs
## Copyright © 2022, 2023, 2024 निरंजन
## 
## -------------------------------------------------------------
## Version:      v0.1 (30 January, 2024)
## Author:       निरंजन
## Description:  Documented solutions for OpenIntro labs.
## Repository:   puszcza.gnu.org.ua/projects/niranjan-rr
## License:      GPLv3+, GFDLv1.3+
## -------------------------------------------------------------
## 
## This program is free software: you can redistribute it
## and/or modify it under the terms of the GNU General Public
## License as published by the Free Software Foundation, either
## version 3 of the License, or (at your option) any later
## version.
## 
## This program is distributed in the hope that it will be
## useful, but WITHOUT ANY WARRANTY; without even the implied
## warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
## PURPOSE. See the GNU General Public License for more
## details.
## 
## You should have received a copy of the GNU General Public
## License along with this program. If not, see
## <https://www.gnu.org/licenses/>.
## ----------------------------------------------------------
library(tikzDevice)
mlb <- read.csv(
  "mlb11.csv",     ## name of the csv file to be read.
  header=TRUE      ## if the first row is a header.
)
mlbatbat <- lm(runs~at_bats,data=mlb)
mlbdata <- lm(runs~at_bats,data=mlb)
tikz('plot8.tex',sanitize=TRUE)
hist(
  mlbdata$residuals,
  main="",
  xlab="Residuals",
)
dev.off()
## End of file `plot8.R'.
